
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>Phenotastic &#8212; Phenotastic 0.3.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/classic.css" />

    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>

    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Installation" href="installation.html" />
    <link rel="prev" title="Welcome to Phenotastic’s documentation!" href="index.html" />
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="installation.html" title="Installation"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="index.html" title="Welcome to Phenotastic’s documentation!"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">Phenotastic 0.3.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Phenotastic</a></li>
      </ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">

  <section id="phenotastic">
<h1>Phenotastic<a class="headerlink" href="#phenotastic" title="Permalink to this heading">¶</a></h1>
<a class="reference external image-reference" href="https://pypi.python.org/pypi/phenotastic"><img alt="https://img.shields.io/pypi/v/phenotastic.svg" src="https://img.shields.io/pypi/v/phenotastic.svg" /></a>
<a class="reference external image-reference" href="https://travis-ci.org/supersubscript/phenotastic"><img alt="https://img.shields.io/travis/supersubscript/phenotastic.svg" src="https://img.shields.io/travis/supersubscript/phenotastic.svg" /></a>
<a class="reference external image-reference" href="https://phenotastic.readthedocs.io/en/latest/?badge=latest"><img alt="Documentation Status" src="https://readthedocs.org/projects/phenotastic/badge/?version=latest" /></a>
<p>Phenotastic is a Python package developed to facilitate the segmentation of early flower organs, primordia, from shoot apical meristems in 3D images. The package provides methods for contouring 3D data, generating a 2.5D mesh, and segmenting out features based on the mesh curvature. It is designed to work with a range of 3D imaging modalities, including confocal microscopy.</p>
</section>
<section id="installation">
<h1>Installation<a class="headerlink" href="#installation" title="Permalink to this heading">¶</a></h1>
<p>You can install Phenotastic using pip:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">pip</span> <span class="n">install</span> <span class="n">phenotastic</span>
</pre></div>
</div>
<p>Phenotastic requires the following dependencies:</p>
<ul class="simple">
<li><p>NumPy</p></li>
<li><p>SciPy</p></li>
<li><p>scikit-image</p></li>
<li><p>scikit-learn</p></li>
<li><p>PyVista</p></li>
</ul>
</section>
<section id="usage">
<h1>Usage<a class="headerlink" href="#usage" title="Permalink to this heading">¶</a></h1>
<p>For detailed examples and explanations of the code, please refer to the documentation.</p>
</section>
<section id="documentation">
<h1>Documentation<a class="headerlink" href="#documentation" title="Permalink to this heading">¶</a></h1>
<p>The documentation for Phenotastic can be found on Read the Docs. The documentation provides detailed explanations of each method in the package, as well as example usage and workflows.</p>
</section>
<section id="contributions">
<h1>Contributions<a class="headerlink" href="#contributions" title="Permalink to this heading">¶</a></h1>
<p>Contributions to Phenotastic are welcome! If you find a bug or have a feature request, please open an issue on the GitHub repository. If you would like to contribute code, please open a pull request with a clear explanation of the changes you’ve made and their purpose.</p>
</section>
<section id="license-and-credits">
<h1>License and credits<a class="headerlink" href="#license-and-credits" title="Permalink to this heading">¶</a></h1>
<ul class="simple">
<li><p>Free software: GNU General Public License v3</p></li>
<li><p>Documentation: <a class="reference external" href="https://phenotastic.readthedocs.io">https://phenotastic.readthedocs.io</a>.</p></li>
</ul>
<p>This package was created with <a class="reference external" href="https://github.com/audreyr/cookiecutter">Cookiecutter</a> and the <a class="reference external" href="https://github.com/audreyr/cookiecutter-pypackage">audreyr/cookiecutter-pypackage</a> project template.</p>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div>
    <h3><a href="index.html">Table of Contents</a></h3>
    <ul>
<li><a class="reference internal" href="#">Phenotastic</a></li>
<li><a class="reference internal" href="#installation">Installation</a></li>
<li><a class="reference internal" href="#usage">Usage</a></li>
<li><a class="reference internal" href="#documentation">Documentation</a></li>
<li><a class="reference internal" href="#contributions">Contributions</a></li>
<li><a class="reference internal" href="#license-and-credits">License and credits</a></li>
</ul>

  </div>
  <div>
    <h4>Previous topic</h4>
    <p class="topless"><a href="index.html"
                          title="previous chapter">Welcome to Phenotastic’s documentation!</a></p>
  </div>
  <div>
    <h4>Next topic</h4>
    <p class="topless"><a href="installation.html"
                          title="next chapter">Installation</a></p>
  </div>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/readme.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="installation.html" title="Installation"
             >next</a> |</li>
        <li class="right" >
          <a href="index.html" title="Welcome to Phenotastic’s documentation!"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">Phenotastic 0.3.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Phenotastic</a></li>
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2018, Henrik Ahl.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 6.1.3.
    </div>
  </body>
</html>
